#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpdir.h>

char *hpd_error (int error)
{
	char *Ret = "";

		switch (error)
		{
			case HPD_OK :
			{
				Ret = "No error";
				break;
			}
			
			case HPD_ERROR_PAR :
			{
				Ret = "Incorrect parameter value";
				break;
			}
			
			case HPD_ERROR_TYPE :
			{
				Ret = "Type mismatch";
				break;
			}

			case HPD_ERROR_NOT_FOUND :
			{
				Ret = "Object not found";
				break;
			}
			
			case HPD_ERROR_NOT_IMPLEMENTED :
			{
				Ret = "Not (yet) implemented";
				break;
			}
			
		}
		
	return (Ret);
}
