#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>

int hps_code_str (char *val, unsigned *address)
{
	int Ret = HPS_OK;

	if (val && address)
	{
		int size = 0;

		if ((Ret = hps_objsize_type (DOCSTR, (void *) &val, &size)) == HPS_OK)
		{
			unsigned addr;
			
			if (addr = (*address ? *address : (*address = sat_createtemp (size))))
			{
				int len = strlen (val);
				int ind;
			
				// Fills the prologue
				sat_poke (addr, DOCSTR, 5);
							
				// Fills the size
				sat_poke (addr + 5, size - 5, 5);				// Object size - prologue size
							
				// Fills the string
				for (ind = 0; ind < len; ind++)
				{
					sat_poke (addr + 10 + ind*2, (unsigned) val[ind], 2);
				}
			}
		}
	}
	else
	{
		Ret = HPS_ERROR_PAR;
	}
	
	return (Ret);
}
