#include <hpgcc49.h>
#include <hpstack.h>

int hps_depth (int *depth)
{
	int Ret = HPS_OK;
	
	if (depth)
	{
		unsigned stack_ptr = sat_peek_sat_addr (SAT_DSKTOP);
		int level;
		
		for (level = 0; sat_peek_sat_addr (stack_ptr); level++, stack_ptr += 5);
		
		*depth = level;
	}
	else
	{
		Ret = HPS_ERROR_PAR;
	}
	
	return (Ret);
}
