#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>

int hps_list_get_array (list_t *list, int ind, array_t **val)
{
	int Ret = HPS_OK;
	
	hpobj_t *obj;
	
	if ((Ret = hps_list_get (list, ind, &obj)) == HPS_OK)
	{
		if (obj->type == DOMATRIX)
		{
			*val = obj->data.domatrix;
		}
		else
		{
			Ret = HPS_ERROR_TYPE;
		}
	}
	
	return (Ret);
}
