#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>
#include <hpdir.h>

int hpd_rcl_ident (char *name, char **val)
{
	int Ret = HPD_OK;

	if (name && val)
	{
		SAT_OBJ_DSCR *dirobj;

		// Gets the dir object		
		if ((dirobj = sat_dir_rclobject (name)) != NULL)
		{
			hpobj_t obj;
			int incr;
							
			// Tries to decode the object
			obj.type = 0;
			if (hps_decode_ident (dirobj->addr, &obj, &incr) == HPS_OK)
			{
				*val = obj.data.doint;
			}
			else
			{
				Ret = HPD_ERROR_TYPE;
			}
		}
		else
		{
			Ret = HPD_ERROR_NOT_FOUND;
		}
	}
	else
	{
		Ret = HPD_ERROR_PAR;
	}
	
	return (Ret);
}
