#include <hpgcc49.h>
#include <hpstack.h>

int hps_rolld (int n)
{
	int Ret = HPS_OK;
	int depth;
	
	(void) hps_depth (&depth);
	
	if (depth >= n)
	{
		unsigned stack_ptr = sat_peek_sat_addr (SAT_DSKTOP);
		unsigned a1;
		
		a1 = sat_peek_sat_addr (stack_ptr + (n-1)*5);
		while (n > 1)
		{
			sat_poke_sat_addr (stack_ptr + (n-1)*5, sat_peek_sat_addr (stack_ptr + (n-2)*5));
		}
		sat_poke_sat_addr (stack_ptr, a1);
	}
	else
	{
		Ret = HPS_ERROR_STACK;
	}
	
	return (Ret);
}
